summaryrefslogtreecommitdiffstats
path: root/graphics/inkscape
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 22:23:16 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:23:16 +0200
commite007950e02119b101af0887e6aa5dac6169e669c (patch)
treeb36697238fde88c5c74fec62257b2976bb6475c9 /graphics/inkscape
parent908e7bce57f77c58fa0ee84fb7f4e16a44411c71 (diff)
downloadslackbuilds-e007950e02119b101af0887e6aa5dac6169e669c.tar.gz
slackbuilds-e007950e02119b101af0887e6aa5dac6169e669c.tar.xz
graphics/inkscape: Updated for version 0.46
Diffstat (limited to 'graphics/inkscape')
-rw-r--r--graphics/inkscape/README10
-rw-r--r--graphics/inkscape/inkscape-0.46-poppler-0.8.3.patch43
-rw-r--r--graphics/inkscape/inkscape.SlackBuild18
-rw-r--r--graphics/inkscape/inkscape.info8
-rw-r--r--graphics/inkscape/slack-desc2
5 files changed, 67 insertions, 14 deletions
diff --git a/graphics/inkscape/README b/graphics/inkscape/README
index 5c22ca6097..a173dbfb25 100644
--- a/graphics/inkscape/README
+++ b/graphics/inkscape/README
@@ -7,7 +7,9 @@ layers, complex path operations, bitmap tracing, text-on-path, flowed text,
direct XML editing, and more. It imports formats such as JPEG, PNG, TIFF, and
others and exports PNG as well as multiple vector-based formats.
-Inkscape requires libsigc++, glibmm, gtkmm (which requires cairomm), and gc,
-all of which are available at SlackBuilds.org. It can also optionally use
-PyXML, which will allow you to save projects as .xcf (open with Gimp) to
-maintain image layering.
+This build script includes a patch that might be needed if you're building
+inkscape against a newer version of poppler than what Slackware 12.1 has;
+if you need it, uncomment it in the build script.
+
+Inkscape requires boost, libsigc++, glibmm, gtkmm (which requires cairomm),
+and gc, all of which are available at SlackBuilds.org.
diff --git a/graphics/inkscape/inkscape-0.46-poppler-0.8.3.patch b/graphics/inkscape/inkscape-0.46-poppler-0.8.3.patch
new file mode 100644
index 0000000000..10fede41cf
--- /dev/null
+++ b/graphics/inkscape/inkscape-0.46-poppler-0.8.3.patch
@@ -0,0 +1,43 @@
+diff -NrU5 inkscape-0.46.orig/src/extension/internal/pdfinput/pdf-parser.cpp inkscape-0.46/src/extension/internal/pdfinput/pdf-parser.cpp
+--- inkscape-0.46.orig/src/extension/internal/pdfinput/pdf-parser.cpp 2008-06-05 00:26:20.000000000 +0200
++++ inkscape-0.46/src/extension/internal/pdfinput/pdf-parser.cpp 2008-06-05 00:51:47.000000000 +0200
+@@ -2194,11 +2194,11 @@
+ void PdfParser::doShowText(GooString *s) {
+ GfxFont *font;
+ int wMode;
+ double riseX, riseY;
+ CharCode code;
+- Unicode u[8];
++ Unicode *u = NULL;
+ double x, y, dx, dy, dx2, dy2, curX, curY, tdx, tdy, lineX, lineY;
+ double originX, originY, tOriginX, tOriginY;
+ double oldCTM[6], newCTM[6];
+ double *mat;
+ Object charProc;
+@@ -2242,11 +2242,11 @@
+ oldParser = parser;
+ p = s->getCString();
+ len = s->getLength();
+ while (len > 0) {
+ n = font->getNextChar(p, len, &code,
+- u, (int)(sizeof(u) / sizeof(Unicode)), &uLen,
++ &u, &uLen,
+ &dx, &dy, &originX, &originY);
+ dx = dx * state->getFontSize() + state->getCharSpace();
+ if (n == 1 && *p == ' ') {
+ dx += state->getWordSpace();
+ }
+@@ -2291,11 +2291,11 @@
+ state->textTransformDelta(0, state->getRise(), &riseX, &riseY);
+ p = s->getCString();
+ len = s->getLength();
+ while (len > 0) {
+ n = font->getNextChar(p, len, &code,
+- u, (int)(sizeof(u) / sizeof(Unicode)), &uLen,
++ &u, &uLen,
+ &dx, &dy, &originX, &originY);
+
+ if (wMode) {
+ dx *= state->getFontSize();
+ dy = dy * state->getFontSize() + state->getCharSpace();
+
diff --git a/graphics/inkscape/inkscape.SlackBuild b/graphics/inkscape/inkscape.SlackBuild
index 4fe5a7a3aa..9c145b708e 100644
--- a/graphics/inkscape/inkscape.SlackBuild
+++ b/graphics/inkscape/inkscape.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for inkscape
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman, Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=inkscape
-VERSION=0.45.1
+VERSION=0.46
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,11 +43,15 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Add a patch from Gentoo so that this version of inkscape
+# will build on >12.1 If you need this, uncomment it.
+# patch -p1 < $CWD/inkscape-0.46-poppler-0.8.3.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -58,7 +63,10 @@ CXXFLAGS="$SLKCFLAGS" \
|| exit 1
make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
diff --git a/graphics/inkscape/inkscape.info b/graphics/inkscape/inkscape.info
index bb64d2c302..2c2b932e51 100644
--- a/graphics/inkscape/inkscape.info
+++ b/graphics/inkscape/inkscape.info
@@ -1,8 +1,8 @@
PRGNAM="inkscape"
-VERSION="0.45.1"
+VERSION="0.46"
HOMEPAGE="http://www.inkscape.org/"
-DOWNLOAD="http://downloads.sourceforge.net/inkscape/inkscape-0.45.1.tar.gz"
-MD5SUM="1ac63dfd5d78a676599bf5cf6d22e493"
+DOWNLOAD="http://downloads.sourceforge.net/inkscape/inkscape-0.46.tar.gz"
+MD5SUM="3bae9034047379012127e52f9b138d32"
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
-APPROVED="BP{k}"
+APPROVED="David Somero"
diff --git a/graphics/inkscape/slack-desc b/graphics/inkscape/slack-desc
index 864beb0d21..2481ea65e8 100644
--- a/graphics/inkscape/slack-desc
+++ b/graphics/inkscape/slack-desc
@@ -5,7 +5,7 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler-----------------------------------------------------|
inkscape: Inkscape (Open Source vector graphics editor)
inkscape:
inkscape: Inkscape is an Open Source vector graphics editor, with capabilities